Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.phidgets
Class AdvancedServoPhidget

    java.lang.Object
      com.phidgets.Phidget
          com.phidgets.AdvancedServoPhidget

    public final class AdvancedServoPhidget

extends Phidget

This class represents a Phidget Advanced Servo Controller. All methods to to control a motor controller and read back motor data are implemented in this class.

This device is not yet supported, as it is not yet released.

Constructor Summary
`AdvancedServoPhidget()`

Method Summary
`void` | `addServoPositionChangeListener(ServoPositionChangeListener l)`
`double` | `getAcceleration(int index)`
`double` | `getCurrent(int index)`
`double` | `getMaxVelocity(int index)`
`int` | `getMotorCount()`
`double` | `getPosition(int index)`
`void` | `removeServoPositionChangeListener(ServoPositionChangeListener l)`
`void` | `setAcceleration(int index, double acceleration)`
`void` | `setMaxVelocity(int index, double velocity)`
`void` | `setPosition(int index, double position)`

Methods inherited from class com.phidgets.Phidget
`addAttachListener, addDetachListener, addErrorListener, close, equals, getDeviceName, getDeviceType, getDeviceVersion, getLibraryVersion, getSerialNumber, getTag, isAttached, open, openAny, removeAttachListener, removeDetachListener, removeErrorListener, setTag, toString, waitForAttachment`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdvancedServoPhidget

    public AdvancedServoPhidget()
                         throws PhidgetException

Throws:
  `PhidgetException`

Method Detail

### getMotorCount

    public int getMotorCount()
                      throws PhidgetException

  Throws:
    `PhidgetException`

### getAcceleration

    public double getAcceleration(int index)
                           throws PhidgetException

  Throws:
    `PhidgetException`

### setAcceleration

    public void setAcceleration(int index,
                                double acceleration)
                         throws PhidgetException

  Throws:
    `PhidgetException`

### getMaxVelocity

    public double getMaxVelocity(int index)
                          throws PhidgetException

  Throws:
    `PhidgetException`

### setMaxVelocity

    public void setMaxVelocity(int index,
                               double velocity)
                        throws PhidgetException

  Throws:
    `PhidgetException`

### getPosition

    public double getPosition(int index)
                       throws PhidgetException

  Throws:
    `PhidgetException`

### setPosition

    public void setPosition(int index,
                            double position)
                     throws PhidgetException

  Throws:
    `PhidgetException`

### getCurrent

    public double getCurrent(int index)
                      throws PhidgetException

  Throws:
    `PhidgetException`

### addServoPositionChangeListener

    public final void addServoPositionChangeListener(ServoPositionChangeListener l)

### removeServoPositionChangeListener

    public final void removeServoPositionChangeListener(ServoPositionChangeListener l)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD